Page MenuHomePhabricator

[Spike 8hrs] Investigate ability of using post-processing approach with new print styles
Closed, InvalidPublic

Description

blockers

blocked on print styles implementation: T169823: Design changes to desktop print styles

Investigate ability of using the postprocessing approach defined in T168871: Introduct toc with page numbers during pdf post-processing with the new print styles on the following articles and report reasons for any bugs encountered (i.e. what is breaking and why is it breaking):

https://en.wikipedia.org/wiki/Berlin
https://en.wikipedia.org/wiki/Trigonometric_functions
https://en.wikipedia.org/wiki/Climate_of_Australia
https://en.wikipedia.org/wiki/Santiago
https://zh.wikipedia.org/wiki/%E5%9C%A3%E5%9C%B0%E4%BA%9A%E5%93%A5_(%E6%99%BA%E5%88%A9)
https://ar.wikipedia.org/wiki/%D8%B3%D8%A7%D9%86%D8%AA%D9%8A%D8%A7%D8%BA%D9%88
https://ru.wikipedia.org/wiki/%D0%A1%D0%B0%D0%BD%D1%82%D1%8C%D1%8F%D0%B3%D0%BE

Design spec for print styles here: T169823: Design changes to desktop print styles

The post-processsing script lives on github and the readme contains instructions how to generate a book from a PDF and an HTML.

Acceptance criteria

  • A follow-up comment documents why post-processing with new print styles works or doesn't work.
  • Bugs with applying new print styles are identified as Phabricator tickets.

Related Objects

StatusAssignedTask
OpenJKatzWMF
OpenNone
DuplicateNone
OpenJKatzWMF
OpenNone
OpenNone
Resolvedpmiazga
InvalidNone
OpenNone
Resolvedovasileva
InvalidNone
Resolvedphuedx
OpenNone
InvalidNone
InvalidNone
ResolvedNirzar
ResolvedNirzar
OpenNone
Declinedmobrovac
StalledJdlrobson
DeclinedNone
StalledNirzar
ResolvedNirzar
OpenNirzar
ResolvedNirzar
Resolvedovasileva
ResolvedABorbaWMF
Resolvedovasileva
DeclinedNone
ResolvedABorbaWMF
ResolvedJdlrobson

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2017, 12:35 PM
ovasileva updated the task description. (Show Details)Jul 11 2017, 3:53 PM
Restricted Application added a subscriber: Cosine02. · View Herald TranscriptJul 11 2017, 3:53 PM
ovasileva renamed this task from [Spike] Investigate ability of using vivliostyle with new print styles to [Spike 8hrs] Investigate ability of using vivliostyle with new print styles.Jul 11 2017, 4:34 PM
ovasileva updated the task description. (Show Details)
ovasileva updated the task description. (Show Details)
ovasileva updated the task description. (Show Details)
ovasileva renamed this task from [Spike 8hrs] Investigate ability of using vivliostyle with new print styles to [Spike 8hrs] Investigate ability of using post-processing approach with new print styles.Jul 21 2017, 10:42 AM
ovasileva updated the task description. (Show Details)

@bmansurov - changed the description of this task to focus on your solution instead of vivliostyle

@bmansurov, @Nirzar - now that we're splitting concatenation and the print styles, would it make sense to apply the first portion of the styles for the concatenation part, or to wait and do it altogether (I'm leaning towards the latter)

Waiting sounds good, @ovasileva.

@bmansurov - I have a feeling that this and T171836: Apply new print styles for books are duplicates, or is there something particular about styles and post-processing that would require them to function separately?

Nothing particular. I think this task is about finding problems with the implementation of the print styles for books.

Niedzielski changed the task status from Open to Stalled.Sep 22 2017, 2:07 PM
Niedzielski added a subscriber: Niedzielski.

I'm not sure but it sounds like this task is in waiting so I've marked it stalled. If anyone knows which tasks are blocking this, please add them.

bmansurov updated the task description. (Show Details)Dec 6 2017, 6:27 PM

Looks like both blockers got unblocked and the task description is clear.

ovasileva closed this task as Invalid.Apr 9 2018, 2:39 PM

Closing as per T184772#4116906. Pediapress will take on PDF books functionality (books rendering)

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptApr 9 2018, 2:39 PM